libzypp 17.37.10

zypp::ResPoolProxy::ScopedSaveState Class Reference

Exception safe scoped save/restore state. More...

`#include <zypp/ResPoolProxy.h>`

## Classes
struct | Impl

## Public Member Functions
| NON_COPYABLE_BUT_MOVE (ScopedSaveState)
| ScopedSaveState (const ResPoolProxy &pool_r)
| ScopedSaveState (const ResPoolProxy &pool_r, const ResKind &kind_r)
| ~ScopedSaveState ()
void | acceptState ()

## Private Attributes
std::unique_ptr< Impl > | _pimpl

## Detailed Description

Exception safe scoped save/restore state.

Call acceptState to prevent the class from restoring the remembered state.

Definition at line 264 of file ResPoolProxy.h.

## Constructor & Destructor Documentation

## ◆ ScopedSaveState() [1/2]

zypp::ResPoolProxy::ScopedSaveState::ScopedSaveState | ( | const ResPoolProxy & | pool_r | ) |
| inline

Definition at line 268 of file ResPoolProxy.h.

## ◆ ScopedSaveState() [2/2]

zypp::ResPoolProxy::ScopedSaveState::ScopedSaveState | ( | const ResPoolProxy & | pool_r,
|  | const ResKind & | kind_r )
| inline

Definition at line 272 of file ResPoolProxy.h.

## ◆ ~ScopedSaveState()

zypp::ResPoolProxy::ScopedSaveState::~ScopedSaveState | ( |  | ) |
| inline

Definition at line 276 of file ResPoolProxy.h.

## Member Function Documentation

## ◆ NON_COPYABLE_BUT_MOVE()

zypp::ResPoolProxy::ScopedSaveState::NON_COPYABLE_BUT_MOVE | ( | ScopedSaveState |  | ) |

## ◆ acceptState()

void zypp::ResPoolProxy::ScopedSaveState::acceptState | ( |  | ) |
| inline

Definition at line 279 of file ResPoolProxy.h.

## Member Data Documentation

## ◆ _pimpl

std::unique_ptr<Impl> zypp::ResPoolProxy::ScopedSaveState::_pimpl
| private

Definition at line 299 of file ResPoolProxy.h.

The documentation for this class was generated from the following file:

- zypp/ResPoolProxy.h